pbltest {plm} | R Documentation

## Baltagi and Li Serial Dependence Test For Random Effects Models

### Description

Baltagi and Li (1995)'s Lagrange multiplier test for AR(1) or MA(1) idiosyncratic errors in panel models with random effects.

### Usage

    ## S3 method for class 'formula'
    pbltest(x, data,
                             alternative = c("twosided", "onesided"), index = NULL, ...)
    ## S3 method for class 'plm'
    pbltest(x, alternative = c("twosided", "onesided"), ...)

### Arguments

`x` | a model formula or an estimated random–effects model of class `plm` ,
`data` | for the formula interface only: a `data.frame`,
`alternative` | one of `"twosided"`, `"onesided"`. Selects either H_A: ρ \neq 0 or H_A: ρ = 0 (i.e., the Normal or the Chi-squared version of the test),
`index` | the index of the `data.frame`,
`...` | further arguments.

### Details

This is a Lagrange multiplier test for the null of no serial correlation, against the alternative of either an AR(1) or an MA(1) process, in the idiosyncratic component of the error term in a random effects panel model (as the analytical expression of the test turns out to be the same under both alternatives, see Baltagi and Li (1995, 1997)). The `alternative` argument, defaulting to `twosided`, allows testing for positive serial correlation only, if set to `onesided`.

### Value

An object of class `"htest"`.

### Author(s)

Giovanni Millo

### References

Baltagi, B.H. and Li, Q. (1995) Testing AR(1) against MA(1) disturbances in an error component model, Journal of Econometrics 68(1), pp. 133–151.

Baltagi, B.H. and Li, Q. (1997) Monte Carlo results on pure and pretest estimators of an error component model with autocorrelated disturbances, Annales d'economie et de statistique 48, pp. 69–82.

### See Also

`pdwtest`, `bgtest`, `pbsytest`, `pwartest` and `pwfdtest` for other serial correlation tests for panel models.

### Examples

    data("Grunfeld", package = "plm")

    # formula interface
    pbltest(inv ~ value + capital, data = Grunfeld)

    # plm interface
    re_mod <- plm(inv ~ value + capital, data = Grunfeld, model = "random")
    pbltest(re_mod)
    pbltest(re_mod, alternative = "onesided")

[Package plm version 1.6-6 Index]